Download it now!
Bug 120775 - kde5: Implement drag'n'drop between multiple documents
Summary: kde5: Implement drag'n'drop between multiple documents
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
: 120799 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 07:50 UTC by Michael Weghorn
Modified: 2018-12-21 12:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-22 07:50:52 UTC
Version: 6.2.0.0.alpha0+
Build ID: 27b0d7237a7e2f32897fa52820c3aa382f6683e9
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

Drag'n'drop between multiple documents is currently not implemented for the qt5/kde5 VCL plugins. It works e.g. with gtk3.

Steps to reproduce:

1) open two new Calc documents, placing the windows next to each other.
2) insert some text into cell A1 in document 1
3) select cells A1 to B3 in document 1
4) left-click on the selection, keep the mouse button pressed
5) move the mouse to document 2 and release it there

Result: When the mouse button is over document two, a red "stop" sign appears, indicating that dropping is not supported. Releasing the mouse button does not insert the content dragged from document 1.

Expected result: The selected cell contents should be moved from document 1 to document 2.
Comment 1 Xisco Faulí 2018-10-22 09:58:24 UTC
reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 2 Katarina Behrens (Inactive) 2018-12-03 15:10:58 UTC
*** Bug 120799 has been marked as a duplicate of this bug. ***
Comment 3 Commit Notification 2018-12-04 08:56:46 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f67e9aeeb1bd6fe82e0c4e851017962c74723213%5E%21

tdf#120775: Implement DnD between 2 SalFrames

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Katarina Behrens (Inactive) 2018-12-04 11:18:08 UTC
Let's set this to fixed but as usual, pls test. Here is Dungeons'n'Dragons
Comment 5 Commit Notification 2018-12-14 13:32:07 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/bb7bf732bae1e2f4ebf0ed4e0307dbd63dade1d0%5E%21

tdf#120775: Implement DnD between 2 SalFrames

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Weghorn 2018-12-15 00:27:37 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 977a98c5729b4301c11cab1a421d4e6f2758e41e
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Xisco Faulí 2018-12-21 12:16:27 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded